Loading...
Searching...
No Matches
auth_status_t Struct Reference

Authentication operation result. More...

`#include <auth_module.h>`

Collaboration diagram for auth_status_t:
[legend]

## Data Fields

su_home_t | as_home [1]
| Memory home for authentication.
int | as_status
| Return authorization status [out].
char const * | as_phrase
| Return response phrase [out].
char const * | as_user
| Authenticated username [in/out].
char const * | as_display
| Return user's real name [in/out].
char const * | as_ident
| Identities [out].
unsigned | as_profile
| User profile (group) [out].
su_addrinfo_t * | as_source
| Source address [in].
char const * | as_realm
| Authentication realm [in].
char const * | as_domain
| Hostname [in].
char const * | as_uri
| Request-URI [in].
char const * | as_pdomain
| Domain parameter [in] (ignored).
char const * | as_method
| Method name to authenticate [in].
void const * | as_body
| Message body to protect [in].
isize_t | as_bodylen
| Length of message body [in].
msg_time_t | as_nonce_issued
| Nonce issue time [out].
unsigned | as_blacklist
| Blacklist time [out].
unsigned | as_anonymous:1
| Return true if user is anonymous [out].
unsigned | as_stale:1
| Credentials were stale [out].
unsigned | as_allow:1
| Method cannot be challenged [out].
unsigned | as_nextnonce:1
| Client used nextnonce [out].
msg_header_t * | as_response
| Authentication challenge [out].
msg_header_t * | as_info
| Authentication-Info [out].
msg_header_t * | as_match
| Used authentication header [out].
auth_magic_t * | as_magic
| Application data [in].
auth_callback_t * | as_callback
| Completion callback [in].
auth_splugin_t * | as_plugin
| Pointer to extended state, used exclusively by plugin modules.

## Related Symbols

(Note that these are not member symbols.)
auth_status_t * | auth_status_init (void *p, isize_t size)
| Initialize a auth_status_t stucture.
auth_status_t * | auth_status_init_with (void *p, isize_t size, int status, char const *phrase)
| Initialize a auth_status_t stucture.
auth_status_t * | auth_status_new (su_home_t *home)
| Allocate a new auth_status_t structure.
auth_status_t * | auth_status_ref (auth_status_t *as)
| Create a new reference to an auth_status_t structure.
void | auth_status_unref (auth_status_t *as)
| Destroy (a reference to) an auth_status_t structure.

## Detailed Description

Authentication operation result.

The auth_status_t structure is used to store the status of the authentication operation and all the related data. The application verifying the authentication fills the auth_status_t structure, then calls auth_mod_method() (or auth_mod_challenge()). The operation result is stored in the structure.

If the operation is asynchronous, only a preliminary result is stored in the auth_status_t structure when the call to auth_mod_method() returns. In that case, the application must assign a callback function to the structure. The callback function is invoked when the authentication operation is completed.

It is recommended that the auth_status_t structure is allocated with auth_status_new() or initialized with auth_status_init() or auth_status_init_with() functions.

## Friends And Related Symbol Documentation

## auth_status_init()

auth_status_t * auth_status_init | ( | void * | p,
|  | isize_t | size )

related

Initialize a auth_status_t stucture.

Return values

  NULL | upon an error

## auth_status_init_with()

auth_status_t * auth_status_init_with | ( | void * | p,
|  | isize_t | size,
|  | int | status,
|  | char const * | phrase )

related

Initialize a auth_status_t stucture.

Return values

  NULL | upon an error

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.